ADAM_2.12: CLI 1.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package cli
  Definition Classes
    adam
- ADAM2Fastq
- ADAM2FastqArgs
- ADAMMain
- ADAMModule
- About
- CommandGroup
- CountReadKmers
- CountReadKmersArgs
- CountSliceKmers
- CountSliceKmersArgs
- Coverage
- CoverageArgs
- FlagStat
- FlagStatArgs
- MergeShards
- MergeShardsArgs
- PrintADAM
- PrintADAMArgs
- TransformAlignments
- TransformAlignmentsArgs
- TransformFeatures
- TransformFeaturesArgs
- TransformFragments
- TransformFragmentsArgs
- TransformGenotypes
- TransformGenotypesArgs
- TransformSequences
- TransformSequencesArgs
- TransformSlices
- TransformSlicesArgs
- TransformVariants
- TransformVariantsArgs
- View
- ViewArgs

c

org.bdgenomics.adam.cli

# TransformAlignmentsArgs 

###

#### class TransformAlignmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs with CramArgs

Linear Supertypes
CramArgs, ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TransformAlignmentsArgs
2. CramArgs
3. ParquetArgs
4. ADAMSaveAnyArgs
5. SaveArgs
6. ParquetRDDArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new TransformAlignmentsArgs()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  var asSingleFile: Boolean
   Definition Classes
     TransformAlignmentsArgs → ADAMSaveAnyArgs
6.  var binQualityScores: String
7.  val blockSize: Int
   Definition Classes
     ParquetArgs → ParquetRDDArgs
   Annotations
     @Option()
8.  var cache: Boolean
9.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
10.  var coalesce: Int
11.  var command: String
12.  val compressionCodec: CompressionCodecName
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
13.  var concatFilename: String
14.  def configureCramFormat(sc: SparkContext): Option[Unit]

    Configure CRAM format.

    Configure CRAM format.

    sc

      Spark context to configure

    Definition Classes
      CramArgs
15.  val cramReference: String
    Definition Classes
      CramArgs
    Annotations
      @Option()
16.  var deferMerging: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
17.  val disableDictionaryEncoding: Boolean
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
18.  var disableFastConcat: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
19.  var disableProcessingStep: Boolean
20.  var doPrintUsage: Boolean
    Definition Classes
      Args4jBase
21.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
23.  var fastqReadGroup: String
24.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
25.  var forceLoadBam: Boolean
26.  var forceLoadFastq: Boolean
27.  var forceLoadIFastq: Boolean
28.  var forceLoadParquet: Boolean
29.  var forceShuffle: Boolean
30.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
31.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
32.  var inputPath: String
33.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
34.  var knownIndelsFile: String
35.  var knownSnpsFile: String
36.  var limitProjection: Boolean
37.  var locallyRealign: Boolean
38.  var lodThreshold: Double
39.  val logLevel: String
    Definition Classes
      ParquetArgs
    Annotations
      @Option()
40.  var markDuplicates: Boolean
41.  var maxConsensusNumber: Int
42.  var maxIndelSize: Int
43.  var maxReadLength: Int
44.  var maxReadsPerTarget: Int
45.  var maxTargetSize: Int
46.  var mdTagsFragmentSize: Long
47.  var mdTagsOverwrite: Boolean
48.  var mdTagsReferenceFile: String
49.  var minAcceptableQuality: Int
50.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
51.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
52.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
53.  var outputPath: String
    Definition Classes
      TransformAlignmentsArgs → SaveArgs
54.  val pageSize: Int
    Definition Classes
      ParquetArgs → ParquetRDDArgs
    Annotations
      @Option()
55.  var pairedFastqFile: String
56.  var partitionByStartPos: Boolean
57.  var partitionedBinSize: Int
58.  var recalibrateBaseQualities: Boolean
59.  var reference: String
60.  var regionPredicate: String
61.  var repartition: Int
62.  var samplingFraction: Double
63.  var samplingSeed: Long
64.  var sortByReadName: Boolean
65.  var sortByReferencePosition: Boolean
66.  var sortByReferencePositionAndIndex: Boolean
67.  var sortFastqOutput: Boolean
    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs
68.  var storageLevel: String
69.  var stringency: String
70.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
71.  def toString(): String
    Definition Classes
      AnyRef → Any
72.  var unclipReads: Boolean
73.  var useAlignedReadPredicate: Boolean
74.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
75.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
76.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CramArgs

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped